package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkProblemDto;
import com.qmth.teachcloud.common.enums.mark.MarkProblemStatus;
import com.qmth.teachcloud.mark.entity.MarkProblemHistory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 问题卷历史表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkProblemHistoryService extends IService<MarkProblemHistory> {

    IPage<MarkProblemDto> pageProblem(Long examId, String paperNumber, Integer groupNumber, String problemType, String status, String secretNumber, Integer pageNumber, Integer pageSize);

    void resetProblem(List<Long> ids);

    void resetByMarkProblemId(Long id, MarkProblemStatus waiting, Long userId, MarkProblemStatus back, Long now);

    void deleteByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

	MarkProblemHistory findByTaskIdAndStatus(Long taskId, MarkProblemStatus status);
}
